Test Log Forwarder Connection

Test Log Forwarder Connection
Test log forwarder connection

Test log forwarder connection

Request
URI
POST
https://{api_host}/api/v2/logs/forwarders/test
COPY
Request Body
LogForwarder of type(s) application/json
Required
{
    "certificate": "string",
    "connectionRefreshInterval": 0,
    "constraints": {
        "bool": {
            "filter": [
                "Query Object"
            ],
            "must": [
                "Query Object"
            ],
            "must_not": [
                "Query Object"
            ],
            "should": [
                "Query Object"
            ]
        },
        "exists": {
            "field": "string"
        },
        "match_all": {},
        "match_phrase": {
            "empty": false
        },
        "prefix": {
            "empty": false
        },
        "range": {
            "empty": false
        },
        "regexp": {
            "empty": false
        },
        "term": {
            "empty": false
        },
        "terms": {
            "empty": false
        }
    },
    "enabled": false,
    "forwardComplementaryFields": false,
    "host": "string",
    "id": "string",
    "name": "string",
    "port": 0,
    "protocol": "string",
    "sslEnabled": false,
    "tags": {
        "tags": "string"
    },
    "transportProtocol": "string",
    "workerCount": 0
}
string
certificate
Optional

certificate

integer As int32 As int32
connectionRefreshInterval
Optional

connectionRefreshInterval

object
constraints
Optional

constraints

boolean
enabled
Optional

enabled

boolean
forwardComplementaryFields
Optional

forwardComplementaryFields

string
host
Optional

host

string
id
Optional

id

string
name
Optional

name

integer As int32 As int32
port
Optional

port

string
protocol
Optional

protocol

Possible values are : SYSLOG, RAW, RAWPLUS,
boolean
sslEnabled
Optional

sslEnabled

object
tags
Optional

tags

string
transportProtocol
Optional

transportProtocol

Possible values are : TCP, UDP,
integer As int32 As int32
workerCount
Optional

workerCount

Authentication
This operation uses the following authentication methods.
Responses
200

Log forwarders test sent successfully

Operation doesn't return any data structure

400

Bad request: Invalid input data

Returns ErrorBody of type(s) application/json
{
    "errorCode": "string",
    "errorDetails": {},
    "errorMessage": "string"
}
string
errorCode
Optional

errorCode

Possible values are : API_ERROR, LIMIT_ERROR, FIELD_ERROR, TEST_ERROR, JSON_FORMAT_ERROR, LICENSE_ERROR, VSPHERE_INTEGRATION_ERROR, VROPS_INTEGRATION_ERROR, UPGRADE_ERROR, SEARCH_ERROR, AGENT_ERROR, RBAC_COMMON_ERROR, RBAC_USERS_ERROR, RBAC_GROUPS_ERROR, RBAC_ADGROUPS_ERROR, RBAC_DATASETS_ERROR, RBAC_VIDM_GROUPS_ERROR, RBAC_VIDB_GROUPS_ERROR, AUTH_PROVIDER_ERROR, SECURITY_ERROR, DEPLOYMENT_ERROR, SUPPORT_BUNDLE_ERROR, VIP_ERROR, LOAD_BALANCER_ERROR, VIDM_ERROR, VIDB_ERROR, AD_ERROR, WEBHOOK_ERROR, WEB_PROXY_ERROR, SMTP_ERROR, QUERY_ERROR, CERTIFICATE_PEM_FORMAT_ERROR, CERTIFICATE_FILE_INVALID, CERTIFICATE_UPDATE_ERROR, NSX_INTEGRATION_ERROR, NSX_MANAGER_CONNECTIVITY_ERROR, NO_CONFIGURATION_ERROR, SSL_ERROR, CERTIFICATE_PURPOSE_ERROR, VCF_CAPABILITIES_REGISTRY_ERROR, VALIDATION_ERROR, INTERNAL_SERVER_ERROR, UNPROCESSABLE_ENTITY, RESOURCE_EXHAUSTED,
object
errorDetails
Optional

errorDetails

string
errorMessage
Optional

errorMessage


403

Forbidden: Authentication required

Returns ErrorBody of type(s) application/json
{
    "errorCode": "string",
    "errorDetails": {},
    "errorMessage": "string"
}
string
errorCode
Optional

errorCode

Possible values are : API_ERROR, LIMIT_ERROR, FIELD_ERROR, TEST_ERROR, JSON_FORMAT_ERROR, LICENSE_ERROR, VSPHERE_INTEGRATION_ERROR, VROPS_INTEGRATION_ERROR, UPGRADE_ERROR, SEARCH_ERROR, AGENT_ERROR, RBAC_COMMON_ERROR, RBAC_USERS_ERROR, RBAC_GROUPS_ERROR, RBAC_ADGROUPS_ERROR, RBAC_DATASETS_ERROR, RBAC_VIDM_GROUPS_ERROR, RBAC_VIDB_GROUPS_ERROR, AUTH_PROVIDER_ERROR, SECURITY_ERROR, DEPLOYMENT_ERROR, SUPPORT_BUNDLE_ERROR, VIP_ERROR, LOAD_BALANCER_ERROR, VIDM_ERROR, VIDB_ERROR, AD_ERROR, WEBHOOK_ERROR, WEB_PROXY_ERROR, SMTP_ERROR, QUERY_ERROR, CERTIFICATE_PEM_FORMAT_ERROR, CERTIFICATE_FILE_INVALID, CERTIFICATE_UPDATE_ERROR, NSX_INTEGRATION_ERROR, NSX_MANAGER_CONNECTIVITY_ERROR, NO_CONFIGURATION_ERROR, SSL_ERROR, CERTIFICATE_PURPOSE_ERROR, VCF_CAPABILITIES_REGISTRY_ERROR, VALIDATION_ERROR, INTERNAL_SERVER_ERROR, UNPROCESSABLE_ENTITY, RESOURCE_EXHAUSTED,
object
errorDetails
Optional

errorDetails

string
errorMessage
Optional

errorMessage


502

Certificate is not trusted

Returns ErrorBody of type(s) application/json
"ErrorBody Object"
string
errorCode
Optional

errorCode

Possible values are : API_ERROR, LIMIT_ERROR, FIELD_ERROR, TEST_ERROR, JSON_FORMAT_ERROR, LICENSE_ERROR, VSPHERE_INTEGRATION_ERROR, VROPS_INTEGRATION_ERROR, UPGRADE_ERROR, SEARCH_ERROR, AGENT_ERROR, RBAC_COMMON_ERROR, RBAC_USERS_ERROR, RBAC_GROUPS_ERROR, RBAC_ADGROUPS_ERROR, RBAC_DATASETS_ERROR, RBAC_VIDM_GROUPS_ERROR, RBAC_VIDB_GROUPS_ERROR, AUTH_PROVIDER_ERROR, SECURITY_ERROR, DEPLOYMENT_ERROR, SUPPORT_BUNDLE_ERROR, VIP_ERROR, LOAD_BALANCER_ERROR, VIDM_ERROR, VIDB_ERROR, AD_ERROR, WEBHOOK_ERROR, WEB_PROXY_ERROR, SMTP_ERROR, QUERY_ERROR, CERTIFICATE_PEM_FORMAT_ERROR, CERTIFICATE_FILE_INVALID, CERTIFICATE_UPDATE_ERROR, NSX_INTEGRATION_ERROR, NSX_MANAGER_CONNECTIVITY_ERROR, NO_CONFIGURATION_ERROR, SSL_ERROR, CERTIFICATE_PURPOSE_ERROR, VCF_CAPABILITIES_REGISTRY_ERROR, VALIDATION_ERROR, INTERNAL_SERVER_ERROR, UNPROCESSABLE_ENTITY, RESOURCE_EXHAUSTED,
object
errorDetails
Optional

errorDetails

string
errorMessage
Optional

errorMessage


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/v2/logs/forwarders/test